Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

## org.semanticweb.owl.inference
Interface OWLTaxonomyReasoner

All Superinterfaces:
  OWLReasoner

All Known Implementing Classes:
  NonInferencingTaxonomyReasoner, SimpleOWLTaxonomyReasoner

public interface OWLTaxonomyReasoner
extends OWLReasoner

A Taxonomy Reasoner for OWL ontologies. This provides access to the hierarchy of named classes. Although this is functionality that overlaps with that provided by `OWLClassReasoner`, it is useful to have this here too.

Version:
  $Id: OWLTaxonomyReasoner.java,v 1.1.1.1 2003/10/14 17:10:08 sean_bechhofer Exp $

Method Summary
`Set` | `ancestorClassesOf(OWLClass cl)` Returns the collection of all superclasses of the given class.
`Set` | `descendantClassesOf(OWLClass cl)` Returns the collection of all subclasses of the given class.
`Set` | `equivalentClassesOf(OWLClass cl)` Returns the collection of (named) classes which are equivalent to the given class.
`Set` | `subClassesOf(OWLClass cl)` Returns the collection of (named) most general subclasses of the given class.
`Set` | `superClassesOf(OWLClass cl)` Returns the collection of (named) most specific superclasses of the given class.

Methods inherited from interface org.semanticweb.owl.inference.OWLReasoner
`getOntology, setOntology`

Method Detail

### superClassesOf

    public Set superClassesOf(OWLClass cl)
                       throws OWLException

  Returns the collection of (named) most specific superclasses of the given class. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### ancestorClassesOf

    public Set ancestorClassesOf(OWLClass cl)
                          throws OWLException

  Returns the collection of all superclasses of the given class. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### subClassesOf

    public Set subClassesOf(OWLClass cl)
                     throws OWLException

  Returns the collection of (named) most general subclasses of the given class. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### descendantClassesOf

    public Set descendantClassesOf(OWLClass cl)
                            throws OWLException

  Returns the collection of all subclasses of the given class. The result of this will be a set of sets, where each set in the collection represents an equivalence class.

    `OWLException`

### equivalentClassesOf

    public Set equivalentClassesOf(OWLClass cl)
                            throws OWLException

  Returns the collection of (named) classes which are equivalent to the given class.

    `OWLException`

Overview | Package | Class | Use | Tree | Deprecated | Index | Help
PREV CLASS NEXT CLASS | FRAMES NO FRAMES
SUMMARY: NESTED | FIELD | CONSTR | METHOD | DETAIL: FIELD | CONSTR | METHOD

WonderWeb